# MkRepo

**CLI tool to create remote repositories**

## Installation

Install it as:

    $ gem install mkrepo

## Usage

    $ mkrepo -r my_new_repo --github -t my_personal_access_token -u my_username

This command is too long! You can set your username and token in the git global config:

    $ git config --global github.user my_username
    $ git config --global github.token my_super_secret_token

They will be stored in plain text at `~/.gitconfig`, so I might add an option to ask for the token interactively.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/mkrepo. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

